SYNC_MAPPING_BUFFE(9)

NAME
sync_mapping_buffers - write out and wait upon a mapping's associated

SYNOPSIS

int sync_mapping_buffers (struct address_space * mapping);

ARGUMENTS

mapping
    the mapping which wants those buffers written

DESCRIPTION

Starts I/O against the buffers at mapping->private_list, and waits upon that I/O.

Basically, this is a convenience function for fsync. mapping is a file or directory which needs those buffers to be written for a successful fsync.

DESCRIPTION

Starts I/O against the buffers at mapping->private_list, and waits upon that I/O.

Basically, this is a convenience function for fsync. mapping is a file or directory which needs those buffers to be written for a successful fsync.